Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlComment

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlComment

All Implemented Interfaces:
  java.io.Serializable

public class IdlComment
extends java.lang.Object
implements java.io.Serializable

This class contains all comments for an IDL definition. It manage comment extension as for example @exception and @return

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Constructor Summary
`IdlComment()` Constructor

Method Summary
`void` | `add_description(java.lang.String description)` Add a comment description
`void` | `add_section(IdlCommentSection section)` Add a new section to the section list
`java.lang.String` | `get_description()` Return a comment description
`IdlCommentSection[]` | `get_sections()` Return all comment sections

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdlComment

    public IdlComment()

  Constructor

Method Detail

### add_section

    public void add_section(IdlCommentSection section)

  Add a new section to the section list

### add_description

    public void add_description(java.lang.String description)

  Add a comment description

### get_description

    public java.lang.String get_description()

  Return a comment description

### get_sections

    public IdlCommentSection[] get_sections()

  Return all comment sections

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD